Reply as author
curl --request POST \
--url https://api.series.hr/tickets/{ticketId}/reply-member \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"content": "<string>",
"authorUserId": 123
}
'import requests
url = "https://api.series.hr/tickets/{ticketId}/reply-member"
payload = {
"content": "<string>",
"authorUserId": 123
}
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>', authorUserId: 123})
};
fetch('https://api.series.hr/tickets/{ticketId}/reply-member', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Tickets
Reply as Author
Send a reply to a ticket as the ticket author
POST
/
tickets
/
{ticketId}
/
reply-member
Reply as author
Requires Premium or Enterprise subscription
Overview
Send a reply to a ticket as the ticket author (member/player). Important Notes:- Only the original ticket author can use this endpoint
- Cannot reply to closed or resolved tickets
- The reply is added to the ticket’s content with type “author_message”
Path Parameters
string
required
Ticket ID
Request Body
string
required
Reply message content
integer
required
UserId of the ticket author
Response
boolean
Whether the request was successful
Example
curl -X POST "https://api.series.hr/tickets/TICKET-1234567890-ABCD/reply-member" \
-H "apikey: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"content": "Thank you, I'll join now!",
"authorUserId": 123456789
}'
const response = await fetch('https://api.series.hr/tickets/TICKET-1234567890-ABCD/reply-member', {
method: 'POST',
headers: {
'apikey': 'YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
content: 'Thank you, I\'ll join now!',
authorUserId: 123456789
})
});
const data = await response.json();
local HttpService = game:GetService("HttpService")
local response = HttpService:RequestAsync({
Url = "https://api.series.hr/tickets/TICKET-1234567890-ABCD/reply-member",
Method = "POST",
Headers = {
["apikey"] = "YOUR_API_KEY",
["Content-Type"] = "application/json"
},
Body = HttpService:JSONEncode({
content = "Thank you, I'll join now!",
authorUserId = 123456789
})
})
local data = HttpService:JSONDecode(response.Body)
import requests
response = requests.post(
'https://api.series.hr/tickets/TICKET-1234567890-ABCD/reply-member',
headers={
'apikey': 'YOUR_API_KEY',
'Content-Type': 'application/json'
},
json={
'content': "Thank you, I'll join now!",
'authorUserId': 123456789
}
)
data = response.json()
Response Example
{
"success": true,
"data": {
"message": "Reply sent successfully"
}
}
Error Responses
403 - Not Author
403 - Not Author
{
"success": false,
"error": {
"code": 403,
"message": "You can only reply to your own tickets"
}
}
403 - Ticket Closed
403 - Ticket Closed
{
"success": false,
"error": {
"code": 403,
"message": "Cannot reply to closed or resolved tickets"
}
}
403 - Premium Required
403 - Premium Required
{
"success": false,
"error": {
"code": 403,
"message": "Tickets module requires a Premium or Enterprise subscription"
}
}
404 - Ticket Not Found
404 - Ticket Not Found
{
"success": false,
"error": {
"code": 404,
"message": "Ticket not found"
}
}
Rate Limit
25 requests per second per API keyAuthorizations
Pass your API key in the apikey header. Alternatively, the x-api-key header is also accepted.
Path Parameters
Ticket ID
Body
application/json
Response
Reply sent successfully
⌘I

